# Contributing to Daily

:wave: Hi there! The Daily team is excited that you are reading this and willing to contribute.
No need to think big, even a typo fix might save our day and make you a hero. 
Every contribution counts! :fire:


## Code of Conduct

We have written some ground rules to keep discussion open and inclusive.
Please take your time to read and follow our [Code of Conduct][coc].


## Where to Contribute?

Daily is made out of several repositories, it helps us keep the different services decoupled and deliver quickly new features.
A full list of these repositories can be found [here][projects] with short explanation about each one.
If you are still not sure where is the right place to contribute, ask here by [submitting an issue][submit-issue].


## Found a Bug?

If you find a bug (sorry for that :sweat_smile:), you can contribute by [submitting an issue][submit-issue].
If you are really into it, [submit a Pull Request][submit-pr] with your fix, we will be grateful forever.

## Documentation Never Ends

When it comes to documentation there is also a room for improvement. Together we can make sure everything is up-to date and nothing is missing.
You can feel free to [submit a Pull Request][submit-pr] with your documentation changes or even just [submit an issue][submit-issue].


## Have a Great Idea?

Feel like you know what feature is missing, share you thoughts with us by [submitting an issue][submit-issue].
Do you Want to make sure your feature is implemented? submit an issue with your implementation proposal.
This will allow us to prevent duplication of work, discuss the details of the implementation and even provide design if necessary.
Discussing about your proposal will make sure that your work will be accepted into the project.


## Contribution Guideline

### Submitting an Issue

Before submitting your issue, please check that it was not reported already (open or closed).
Please provide as many details as possible so we can act as soon as possible.


### Submitting a Pull Request

Before submitting a pull request consider the following guidelines:

1. To prevent duplication of work, please search for existing PR (open or closed) that relates to yours.
1. Make sure there is an issue describing your submission, whether it is a bug fix or a feature. Discussing the issue up front will make the review process much faster.
1. Please sign our [Contributor License Agreement (CLA)][cla]. Unfortunately, we cannot accept any contribution without this. Make sure you sign and contribute with the same GitHub account.
1. Make sure your pull request is addressing only a single concern.
 
How to submit a pull request?

1. Fork the relevant repository.
1. Checkout a topic branch for your submission.
1. Apply your work there, it's fine to have multiple commits. We will make sure to squash it before merging.
1. Make sure to add appropriate tests which cover your work.
1. Follow our [Coding Rules](#coding-rules).
1. Run the test suite of the repository.
1. Push your new branch to GitHub.
1. Submit a pull request to the master branch.

Once everything is done, your work will be live and available to all Daily users.

## Coding Rules

Each repository has its own coding rules and formatters to automatically enforce it when running the tests.
As a general rule of thumb we use  [Airbnb JavaScript style guide][style] for most JavaScript projects.

### Commit Messages

We follow [Angular's commit message guidlines][commit]. This leads to more readable messages and automatic change log generation.


Once again, thank you for joining our journey and good luck contributing :pray:


[coc]: https://github.com/dailydotdev/.github/blob/master/CODE_OF_CONDUCT.md
[projects]: https://github.com/dailydotdev/daily#projects
[submit-issue]: #submitting-an-issue
[submit-pr]: #submitting-a-pull-request
[cla]: https://cla-assistant.io/dailydotdev/daily
[style]: https://github.com/airbnb/javascript
[commit]: https://github.com/angular/angular/blob/master/CONTRIBUTING.md#-commit-message-guidelines
